# vim: set ft=spec: -*- rpm-spec -*-

%def_without check

# %%branch_switch set %%branch_release use
%define branch_switch M50

Name: bzr
Version: 2.0.5
Release: %branch_release alt1

Summary: Bazaar is a decentralized revision control system
License: %gpl2plus
Group: Development/Other

Url: http://bazaar-vcs.org
Packager: Aleksey Avdeev <solo@altlinux.ru>

Source: %name-%version.tar

%add_python_req_skip _lsprof

Conflicts: %name-doc < %version

BuildRequires(pre): rpm-macros-branch
BuildPreReq: rpm-build-licenses

# Automatically added by buildreq on Thu Aug 20 2009 (-bi)
BuildRequires: python-module-Pyrex python-modules-compiler python-modules-email python-modules-logging zlib-devel

%{?!__buildreqs:%{?!_without_check:%{?!_without_test:%{?!_disable_check:%{?!_disable_test:BuildRequires: python-module-docutils}}}}}
%{?!__buildreqs:%{?!_without_check:%{?!_without_test:%{?!_disable_check:%{?!_disable_test:BuildRequires: python-module-paramiko}}}}}

%description
Bazaar is a distributed version control system that Just Works. While
many similar systems require you to adapt to their model of working,
Bazaar adapts to the workflows you want to use, and it takes only five
minutes to try it out. People have used it to version pretty much
anything: single-file projects, your /etc directory and even the
thousands of files and revisions in the source code for Launchpad,
MySQL and Mailman.

%package -n python-module-%{name}lib-tests
Summary: Tools for testing Bazaar
Group: Development/Other

Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%description -n python-module-%{name}lib-tests
This package contain tools and test suites for testing Bazaar.

%package doc
Summary: %name documentation and examples
Group: Development/Other
BuildArch: noarch

Conflicts: %name < %version

%description doc
Bazaar is a decentralized revision control system. This
package contain documentation and examples for using Bazaar.

%define bzr_docdir %_defaultdocdir/%name-%version
%define bzr_testsdir %python_sitelibdir/bzrlib/tests

%prep
%setup

%build
%python_build

%{?!__buildreqs:%{?!_without_check:%{?!_without_test:%{?!_disable_check:%{?!_disable_test:%make_build check || exit 1}}}}}

%install
%define _compress_method none
CFLAGS="%optflags" %python_install \
		--optimize=2 \
                --install-data=%_datadir \
		--record=INSTALLED_FILES

grep '^%bzr_testsdir/' INSTALLED_FILES > INSTALLED_FILES.test
grep -v '^%bzr_testsdir/' INSTALLED_FILES > INSTALLED_FILES.main

install -dm0755 %buildroot%bzr_docdir
install -m0644 BRANCH.TODO INSTALL NEWS README TODO %buildroot%bzr_docdir
cp -a doc contrib %buildroot%bzr_docdir

%files -f INSTALLED_FILES.main
%doc %bzr_docdir
%exclude %bzr_docdir/doc
%exclude %bzr_docdir/contrib

%files -n python-module-%{name}lib-tests -f INSTALLED_FILES.test

%files doc
%doc %bzr_docdir/doc
%doc %bzr_docdir/contrib

%changelog
* Sat Aug 14 2010 Aleksey Avdeev <solo@altlinux.ru> 2.0.5-alt0.M50.1
- Backports to 5.0

* Wed Aug 11 2010 Aleksey Avdeev <solo@altlinux.ru> 2.0.5-alt1
- 2.0.5 release
- Create %%name-doc and python-module-%%{name}lib-tests subpackages.
  (Closes: 23194)

* Wed Nov 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0.0-alt1.1
- Rebuilt with python 2.6

* Tue Oct 13 2009 Aleksey Avdeev <solo@altlinux.ru> 2.0.0-alt1
- 2.0.0 release

* Sun Oct 11 2009 Aleksey Avdeev <solo@altlinux.ru> 1.17-alt1
- 1.17 release

* Wed Dec 03 2008 Igor Zubkov <icesik@altlinux.org> 1.10-alt2
- 1.10rc1 -> 1.10 release

* Tue Dec 02 2008 Igor Zubkov <icesik@altlinux.org> 1.10-alt1
- 1.9 release -> 1.10rc1

* Tue Dec 02 2008 Igor Zubkov <icesik@altlinux.org> 1.9-alt1
- 1.7.1 release -> 1.9 release
- buildreq

* Fri Oct 10 2008 Igor Vlasenko <viy@altlinux.ru> 1.7.1-alt1
- 1.7.1

* Thu May 22 2008 Igor Zubkov <icesik@altlinux.org> 1.5-alt2
- 1.5rc1 -> 1.5 release

* Sat May 10 2008 Igor Zubkov <icesik@altlinux.org> 1.5-alt1
- 1.4 release -> 1.5rc1

* Fri May 02 2008 Igor Zubkov <icesik@altlinux.org> 1.4-alt3
- 1.4rc2 -> 1.4 release

* Wed Apr 23 2008 Igor Zubkov <icesik@altlinux.org> 1.4-alt2
- 1.4rc1 -> 1.4rc2

* Wed Apr 16 2008 Igor Zubkov <icesik@altlinux.org> 1.4-alt1
- 1.3.1 release -> 1.4rc1

* Tue Apr 15 2008 Igor Zubkov <icesik@altlinux.org> 1.3.1-alt1
- 1.3 release -> 1.3.1 release

* Fri Mar 21 2008 Igor Zubkov <icesik@altlinux.org> 1.3-alt2
- 1.3rc1 -> 1.3 release

* Sun Mar 16 2008 Igor Zubkov <icesik@altlinux.org> 1.3-alt1.rc1
- 1.2 release -> 1.3rc1

* Sun Feb 24 2008 Igor Zubkov <icesik@altlinux.org> 1.2-alt1
- 1.1 release -> 1.2 release

* Mon Jan 28 2008 Grigory Batalov <bga@altlinux.ru> 1.1-alt2.1
- Rebuilt with python-2.5.

* Tue Jan 15 2008 Igor Zubkov <icesik@altlinux.org> 1.1-alt2
- 1.1rc1 -> 1.1 release

* Sun Jan 06 2008 Igor Zubkov <icesik@altlinux.org> 1.1-alt1.rc1
- 1.0 -> 1.1rc1

* Tue Dec 18 2007 Igor Zubkov <icesik@altlinux.org> 1.0-alt2
- 1.0rc3 -> 1.0 release

* Tue Dec 18 2007 Igor Zubkov <icesik@altlinux.org> 1.0-alt1.rc3
- 1.0rc2 -> 1.0rc3

* Sun Dec 09 2007 Igor Zubkov <icesik@altlinux.org> 1.0-alt1.rc2
- 1.0rc1 -> 1.0rc2

* Sat Dec 01 2007 Igor Zubkov <icesik@altlinux.org> 1.0-alt1.rc1
- 0.92 -> 1.0rc1

* Tue Nov 13 2007 Igor Zubkov <icesik@altlinux.org> 0.92-alt2
- 0.92rc1 -> 0.92

* Tue Oct 30 2007 Igor Zubkov <icesik@altlinux.org> 0.92-alt1.rc1
- 0.91 -> 0.92rc1

* Wed Sep 26 2007 Igor Zubkov <icesik@altlinux.org> 0.91-alt1
- 0.90 -> 0.91

* Tue Sep 11 2007 Igor Zubkov <icesik@altlinux.org> 0.90-alt1
- 0.18 -> 0.90
- buildreq

* Wed Jul 18 2007 Igor Zubkov <icesik@altlinux.org> 0.18-alt1
- 0.14 -> 0.18
- move doc and contrib to bzr package (no more bzr-doc)
- buildreq

* Thu Mar 01 2007 Igor Zubkov <icesik@altlinux.org> 0.14-alt1
- 0.7 -> 0.14
- buildarch -> noarch
- buildreq

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.7-alt1.1
- Rebuilt using rpm-build-python-0.29-alt4.

* Mon Apr 03 2006 Andriy Stepanov <stanv@altlinux.ru> 0.7-alt1
- Init build
